# Constant Field Values

## Contents

- org.pentaho.*

## org.pentaho.*

org.pentaho.reporting.libraries.resourceloader.ResourceData
Modifier and Type
Constant Field
Value
`public static final String`
`CONTENT_LENGTH`
`"content-length"`
`public static final String`
`CONTENT_TYPE`
`"content-type"`
`public static final String`
`FILENAME`
`"filename"`
org.pentaho.reporting.libraries.resourceloader.ResourceFactory
Modifier and Type
Constant Field
Value
`public static final String`
`CONFIG_PREFIX`
`"org.pentaho.reporting.libraries.resourceloader.factory.modules."`
org.pentaho.reporting.libraries.resourceloader.ResourceManager
Modifier and Type
Constant Field
Value
`public static final String`
`BUNDLE_CACHE_PROVIDER_KEY`
`"org.pentaho.reporting.libraries.resourceloader.cache.BundleDataCacheProvider"`
`public static final String`
`BUNDLE_LOADER_PREFIX`
`"org.pentaho.reporting.libraries.resourceloader.bundle.loader."`
`public static final String`
`DATA_CACHE_PROVIDER_KEY`
`"org.pentaho.reporting.libraries.resourceloader.cache.DataCacheProvider"`
`public static final String`
`FACTORY_CACHE_PROVIDER_KEY`
`"org.pentaho.reporting.libraries.resourceloader.cache.FactoryCacheProvider"`
`public static final String`
`FACTORY_TYPE_PREFIX`
`"org.pentaho.reporting.libraries.resourceloader.factory.type."`
`public static final String`
`LOADER_PREFIX`
`"org.pentaho.reporting.libraries.resourceloader.loader."`

org.pentaho.reporting.libraries.resourceloader.factory.FactoryModule
Modifier and Type
Constant Field
Value
`public static final int`
`FEELING_LUCKY`
`0`
`public static final int`
`RECOGNIZED_CONTENTTYPE`
`2000`
`public static final int`
`RECOGNIZED_FILE`
`1000`
`public static final int`
`RECOGNIZED_FINGERPRINT`
`4000`
`public static final int`
`REJECTED`
`-1`